Package org.python.core

# Class Deriveds

java.lang.Object
org.python.core.Deriveds

public class Deriveds extends Object
Derived classes utility methods.

## Constructor Summary

Constructors
Constructor
Description
`Deriveds()`

## Method Summary

Modifier and Type
Method
Description
`static PyObject`
`__findattr_ex__(PyObject self, String name)`
Deriveds' __findattr_ex__ implementation.
`static void`
`dispatch__init__(PyObject self, PyObject[] args, String[] keywords)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Deriveds

public Deriveds()

## Method Details

### dispatch__init__

public static void dispatch__init__(PyObject self, PyObject[] args, String[] keywords)

### __findattr_ex__

public static PyObject __findattr_ex__(PyObject self, String name)
Deriveds' __findattr_ex__ implementation. This resides here (in org.python.core) because it manipulates PyType, and doesn't call any of the Derived classes' superclass methods.